Subject: Re: mount's --change-cygdrive-prefix option (was Re: text / binary mounts (sorry))
From: Bob McGowan <[email-masked]>
To: Cygwin <[email-masked]>
Date: Wed, 07 Jun 2000 16:39:11 -0700

I intended this for the list but apparently hit the reply button rather
than reply-all...

-------- Original Message --------
Subject: Re: mount's --change-cygdrive-prefix option (was Re: text /
binary mounts  (sorry))
Date: Wed, 07 Jun 2000 10:04:37 -0700
From: Bob McGowan <[email-masked]>
Organization: VERITAS Software
To: Jason Tishler <[email-masked]>
References: <[email-masked]>
<[email-masked]> <[email-masked]>

Jason Tishler wrote:
> 
> I few spec level issues before I continue...
> 
> There is currently no way to remove the user or system path prefix
> (except via the registry).  Hence, once the user path prefix is set,
> the system path prefix can never have any effect (unless one hacks the
> registry).  How should this missing functionality be realized?
> 
> 1. Add a "--remove-cygdrive-prefix" to mount.
> 2. Add a "--remove-cygdrive-prefix" to umount.

I think umount is the best place to do this.  It should default to
processing user entries and only do system entries if the -s option is
used (to match current functionality).

> 3. Enhance mount's "--change-cygdrive-prefix" to accept a missing
>    posixpath that indicates the appropriate path prefix should be
>    removed.
> 
> Additionally, there is currently no way to display the current value
> for the user and system path prefixes (except via the registry).
> Should this functionality be added to the mount display?

I think this is important if you are going to provide a "umount" feature
as above.  It is useful to display the current state before trying to
modify it.  Maybe the mount command should have a specific option to do
so, perhaps "--show-cygdrive-prefix"?  But including the cygdrive-prefix
info as part of the default output works too.  Either way, the
information is useful. 

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]